| iTool User's Guide: Visualization Properties |

## Axes

Figure D-24: Visualization Browser with Axis Properties Displayed

Figure D-24: Visualization Browser with Axis Properties Displayed

These properties control axis object visualizations. For each property, the type of control and the values that can be assigned are listed. For a description of how a particular control is used, refer to Property Controls.

The following table contains the properties that control the container for the visualization axes.

Table D-54: Axes Container Properties

Table D-54: Axes Container Properties
Property | Control Type: Values
--- | ---
Style | String List: Select display style for axes. Choose from these values: None: Do not display axes. At Dataspace Minimum: Display 2 axes for 2-D visualization, 3 axes for 3-D visualization. Box Axes: Display 4 axes for 2-D visualization, 12 axes for 3-D visualization. Crosshairs: Display crosshair style axes. Default = At Dataspace Minimum
Lock to Data | Boolean: Locks axis (axes) to data. Default = False
Transparency | Number: Adjusts transparency of axis (axes). Default = `0`
Color | Color: Color to be used for the axis lines in this visualization. Click to choose from the default color palette, or specify RGB values. Default = `[0,0,0]` (black)
Line style | Line Style: Style of the axis tick lines. Select a line style from the list. Default = (solid line)
Line thickness | Line Thickness: Thickness of the axis tick lines. Select a thickness from the list. Default = `1`
Major ticks | Number: Set number of major tick marks. Enter value. Default = `0`
Minor ticks | Number: Set number of minor tick marks. Enter value. Default = `0`
Major Tick Length | Number: Normalized length of major tick marks for all axes from 0 (no ticks) to 1 (major tick marks span the visualization). Move the slider to change the value. Default = `0.05`.
Minor tick length | Number: Relative length of minor tick marks for all axes from -1 (minor tick marks extend the length of major tick marks on left side of axes) to 1 (minor tick marks extend same length as major tick marks on right side of axes). Move the slider to change the value. Default = `0.5` (minor tick marks extend one-half the length of major tick marks on right side of axes).
Tick interval | Number: Interval between ticks. Edit the number to change the value. Default = `0`
Tick layout | String List: Select layout style for major and minor tick visualization on all axes. Choose from these values: Axis plus labels: Display tick labels and marks. Labels only: Display tick labels only (no tick marks). Box style: Display tick labels and marks, with labels enclosed in boxes. Default = Axis plus labels
Tick direction | String List: Select a direction for tick marks. Choose from these values: Right/Above: Place tick marks to the right of or above the axis line. Left/Below: Place text to the left of or below the axis line. Default = Right/Above
Text show | Boolean: Set text to show or not show. Choose True or False. Default = True (show)
Text position | String List: Select a position for tick and label text. Choose from these values: Below/left: Place text below or to the left of the axis line. Above/right: Place text above or to the right of the axis line. Default = Below/left
Tick format code | String: A string defining the format of the tick annotation information. The format code should be enclosed in parentheses, and should conform to one of the formats described in Format Codes. This field always displays the current format code, but is only available for editing if Use Tick Format Code is selected as the value of the Tick format property.
Tick format | String List: Choose a format code or time interval to use for each tick interval. Choose from these values: None Use Tick format code Filled Fixed Width Integer Freeform Integer or Float Float with 2 or 4 decimal places Exponential with 2 or 4 decimal places Date (13 formats) Time (11 formats) Default = None
Title | String: Title to apply to all axes for this visualization. Enter title text for the axes. No default value.
Text color | Color: Color to be used for the text. Click to choose from the default color palette, or specify RGB values. Default = `[0,0,0]` (black)
Text font | String List: Font used for tick and label text. Select a font from the list. Choose from these values: Helvetica Courier Times Symbol Hershey Default = Helvetica
Text style | String List: Style used for tick and label text. Select a style from the list. Choose from these values: Normal Bold Italic Bold italic Default = Normal
Text font size | Number: Font size in points for the tick and label text. Edit the number to change the size. Default = 12

This table contains the properties that control axis visualization X, Y, or (for three-dimensional visualizations) Z. For each property, the type of control and the values that can be assigned are listed. For a description of how a particular control is used, refer to Property Controls.

Table D-55: Property Settings for Individual Axes

Table D-55: Property Settings for Individual Axes
Property | Control Type: Values
--- | ---
Color | Color: Color to be used for the axis line. Click to choose from the default color palette, or specify RGB values. Default = `[0,0,0]` (black)
Line style | Line Style: Style of the axis tick lines. Select a line style from the list. Default = (solid line)
Line thickness | Line Thickness: Thickness of the axis tick lines in points. Select a thickness from the list. Default = `1`
Major ticks | Number: Number of major ticks marks to display along the axis. Edit the number to change the value. Default = 5
Minor ticks | Number: Number of minor ticks to display between major ticks. Edit the number to change the value. Default = 3
Major tick length | Number: Normalized length of major tick marks for this axis from 0 (no ticks) to 1 (major tick marks span the visualization). Move the slider to change the value. Default = `0.05`
Minor tick length | Number: Relative length of minor tick marks for this axis from -1 (minor tick marks extend the length of major tick marks on left side of axis) to 1 (minor tick marks extend same length as major tick marks on right side of axis). Move the slider to change the value. Default = `0.5` (Minor tick marks extend one-half the length of major tick marks on right side of axis).
Tick interval | Number: Interval between major tick marks. Edit the number to change the value. Default = `0` (use the default interval for the specified range)
Tick layout | String List: Select layout style for major and minor tick visualization. Choose from these values: Axis plus labels: Display tick labels and marks. Labels only: Display tick labels only (no tick marks). Box style: Display tick labels and marks, with labels enclosed in boxes. Default = Axis plus labels
Tick direction | String List: Select a direction for tick marks. Choose from these values: Right/Above: Place tick marks to the right of or above the axis line. Left/Below: Place text to the left of or below the axis line. Default = Right/Above
Text show | Boolean: Show tick and label text? Choose True or False. Default = True.
Text position | String List: Select a position for tick and label text. Choose from these values: Below/left: Place text below or to the left of the axis line. Above/right: Place text above or to the right of the axis line. Default = Below/left
Tick format code | String: A string defining the format of the tick annotation information. The format code should be enclosed in parentheses, and should conform to one of the formats described in Format Codes. This field always displays the current format code, but is only available for editing if Use Tick Format Code is selected as the value of the Tick format property.
Tick format | String List: Choose a format code or time interval to use for each tick interval. Choose from these: None Use Tick format code Filled Fixed Width Integer Freeform Integer or Float Float with 2 or 4 decimal places Exponential with 2 or 4 decimal places Date (13 formats) Time (11 formats) Default = None
Title | String: Title to apply to this axis. Enter title text for the axes. No default value.
Text color | Color: Color to be used for the text. Click to choose from the default color palette, or specify RGB values. Default = `[0,0,0]` (black)
Text font | String List: Font used for tick and label text. Select a font from the list. Choose from these values: Helvetica Courier Times Symbol Hershey Default = Helvetica
Text style | String List: Style used for tick and label text. Select a style from the list. Choose from these values: Normal Bold Italic Bold italic Default = Normal
Text font size | Number: Font size in points for the tick and label text. Edit the number to change the size. Default = `12`

IDL Online Help (March 01, 2006)